# Util (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class Util

    java.lang.Object
      org.lwjgl.opengles.Util

    public final class Util

extends java.lang.Object

Simple utility class.

Author:
  Spasi

Method Summary
`static void` `checkGLError()` Checks for OpenGL ES errors.
`static java.lang.String` `translateGLErrorString(int error_code)` Translates a GL error code to a String describing the error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkGLError

    public static void checkGLError()
                             throws OpenGLException

  Checks for OpenGL ES errors.

  Throws:
    `OpenGLException` - if GLES20.glGetError() returns anything else than GLES20.GL_NO_ERROR

### translateGLErrorString

    public static java.lang.String translateGLErrorString(int error_code)

  Translates a GL error code to a String describing the error.

  Parameters:
    `error_code` - the OpenGL ES error code
  Returns:
    the error description

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.